array_chunk
array_count_values
Fonctions sur les tableaux
PHP Manual

# array_combine

(PHP 5)

array_combine — Crée un tableau à partir de deux autres tableaux

### Description

array array_combine ( array `$keys` , array `$values` )

Crée un tableau, dont les clés sont les valeurs de `keys` , et les valeurs sont les valeurs de `values` .

### Liste de paramètres

`keys`

  Tableau de clés à utiliser. Les valeurs illégales pour les clés seront converties enchaîne de caractères.

`values`

  Tableau de valeurs à utiliser

### Valeurs de retour

Retourne le tableau combiné ou `FALSE` si le nombre d'éléments de chaque tableau n'est pas identique ou si les tableaux sont vides.

### Erreurs / Exceptions

Lance une alerte de niveau `E_WARNING` si `keys` et `values` sont vides, ou si leurs nombres d'éléments ne correspondent pas.

### Exemples

Exemple #1 Exemple avec array_combine()

`<?php
$a = array('green', 'red', 'yellow');
$b = array('avocado', 'apple', 'banana');
$c = array_combine($a, $b);
print_r($c);
?>`

L'exemple ci-dessus va afficher :

    Array
    (
        [green]  => avocado
        [red]    => apple
        [yellow] => banana
    )

### Voir aussi

- array_merge()
- array_walk()
- array_values()

array_chunk
array_count_values
Fonctions sur les tableaux
PHP Manual